# eric7.Tools.TRSingleApplication

Module implementing the single application server and client.

### Global Attributes

SAFile
SALoadForm
SALoadTranslation

### Classes

TRSingleApplicationClient | Class implementing the single application client of the Translations Previewer.
TRSingleApplicationServer | Class implementing the single application server embedded within the Translations Previewer.

### Functions

None

## TRSingleApplicationClient

Class implementing the single application client of the Translations Previewer.

### Derived from

SingleApplicationClient

### Class Attributes

None

### Class Methods

None

### Methods

TRSingleApplicationClient | Constructor
processArgs | Public method to process the command line args passed to the UI.

### Static Methods

None

#### TRSingleApplicationClient (Constructor)

TRSingleApplicationClient()

Constructor

#### TRSingleApplicationClient.processArgs

processArgs(args)

Public method to process the command line args passed to the UI.

args
  list of files to open

Up

## TRSingleApplicationServer

Class implementing the single application server embedded within the Translations Previewer.

### Signals

loadForm(str)
  emitted to load a form file
loadTranslation(str, bool)
  emitted to load a translation file

### Derived from

SingleApplicationServer

### Class Attributes

None

### Class Methods

None

### Methods

TRSingleApplicationServer | Constructor
__saLoadForm | Private method used to handle the "Load Form" command.
__saLoadTranslation | Private method used to handle the "Load Translation" command.
handleCommand | Public slot to handle the command sent by the client.

### Static Methods

None

#### TRSingleApplicationServer (Constructor)

TRSingleApplicationServer(parent)

Constructor

parent
  parent widget (QWidget)

#### TRSingleApplicationServer.__saLoadForm

__saLoadForm(fnames)

Private method used to handle the "Load Form" command.

fnames
  filenames of the forms to be loaded (list of strings)

#### TRSingleApplicationServer.__saLoadTranslation

__saLoadTranslation(fnames)

Private method used to handle the "Load Translation" command.

fnames
  filenames of the translations to be loaded (list of strings)

#### TRSingleApplicationServer.handleCommand

handleCommand(command, arguments)

Public slot to handle the command sent by the client.

command (str)
  command sent by the client
arguments (list of str)
  list of command arguments

Up